!
!  return preact handle for impurity stopping reactions
!  return ihandle=0 if izneut and izimp do not match a known sigma*v
!  table
!
subroutine zstop_handle(izneut,izimp,ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(in) :: izneut   ! Z of neutral atom (1, 2 or 3)
  integer, intent(in) :: izimp    ! Z of impurity ion (6 or 8)
  integer, intent(out) :: ihandle   ! preact handle
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=0
 
  if(izimp.eq.6) then
 
     if(izneut.eq.1) then
 
        ihandle=Lst_H0_C6
 
     else if(izneut.eq.2) then
 
        ihandle=Lst_He0_C6
 
     else if(izneut.eq.3) then
 
        ihandle=Lst_Li0_C6
 
     endif
 
  else if(izimp.eq.8) then
 
     if(izneut.eq.1) then
 
        ihandle=Lst_H0_O8
 
     else if(izneut.eq.2) then
 
        ihandle=Lst_He0_O8
 
     else if(izneut.eq.3) then
 
        ihandle=Lst_Li0_O8
 
     endif
 
  endif
 
end subroutine zstop_handle
